---
title: Tutorials
---

This section of the Kubernetes documentation contains tutorials.
A tutorial shows how to accomplish a goal that is larger than a single
[task](/docs/tasks/). Typically a tutorial has several sections,
each of which has a sequence of steps.

#### Kubernetes Basics

* [Kubernetes Basics](/docs/tutorials/kubernetes-basics/) is an in-depth interactive tutorial that helps you understand the Kubernetes system and try out some basic Kubernetes features.

#### Stateless Applications

* [Hello Minikube](/docs/tutorials/stateless-application/hello-minikube/)

* [Running a Stateless Application Using a Deployment](/docs/tutorials/stateless-application/run-stateless-application-deployment/)

* [Using a Service to Access an Application in a Cluster](/docs/tutorials/stateless-application/expose-external-ip-address-service/)

* [Exposing an External IP Address to Access an Application in a Cluster](/docs/tutorials/stateless-application/expose-external-ip-address/)

#### Stateful Applications

* [StatefulSet Basics](/docs/tutorials/stateful-application/basic-stateful-set/)

* [Running a Single-Instance Stateful Application](/docs/tutorials/stateful-application/run-stateful-application/)

* [Running a Replicated Stateful Application](/docs/tutorials/stateful-application/run-replicated-stateful-application/)

* [Running ZooKeeper, A CP Distributed System](/docs/tutorials/stateful-application/zookeeper/)

#### Services

* [Using SourceIP](/docs/tutorials/services/source-ip/)

### What's next

If you would like to write a tutorial, see
[Using Page Templates](/docs/contribute/page-templates/)
for information about the tutorial page type and the tutorial template.
